Subject: bug#15372: eshell gives environment variables high precedence

From: Glenn Morris <[email-masked]>
Date: Fri, 13 Sep 2013 15:11:50 -0400

Stefan Monnier wrote:

> Sorry, I saw this email too late.  Yes, indeed, this should be a bug.

It's like that since at least 22.1; ie this is not related to your changes.